View Issue Details

IDProjectCategoryView StatusLast Update
0012503LazarusLCLpublic2009-02-17 12:59
ReporterJosé Mejuto Assigned ToVincent Snijders  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindows 
Product Version0.9.27 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0012503: TListView.BeginUpdate does nothing
DescriptionWin32 (at least) TListView begin/end update does nothing as it calls the inherited method BeginUpdate which does nothing in Windows platform.
Additional InformationProposed patch in file "\lcl\interfaces\win32\win32wscustomlistview.inc" line 498

class procedure TWin32WSCustomListView.BeginUpdate(const ALV: TCustomListView);
begin
  if not WSCheckHandleAllocated(ALV, 'BeginUpdate')
  then Exit;
  SendMessage(ALV.Handle,WM_SETREDRAW,0,0);
end;

class procedure TWin32WSCustomListView.EndUpdate(const ALV: TCustomListView);
begin
  if not WSCheckHandleAllocated(ALV, 'EndUpdate')
  then Exit;
  SendMessage(ALV.Handle,WM_SETREDRAW,-1,0);
end;
TagsNo tags attached.
Fixed in Revision17138
LazTarget
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0016771 closedFelipe Monteiro de Carvalho [WinCE] TListView.BeginUpdate and TListView.EndUpdate are not implemented 

Activities

Vincent Snijders

2008-10-28 09:08

manager   ~0022977

Thanks for the patch.

Issue History

Date Modified Username Field Change
2008-10-27 23:50 José Mejuto New Issue
2008-10-27 23:50 José Mejuto Widgetset => Win32
2008-10-28 08:56 Vincent Snijders Status new => assigned
2008-10-28 08:56 Vincent Snijders Assigned To => Vincent Snijders
2008-10-28 09:08 Vincent Snijders Fixed in Revision => 17138
2008-10-28 09:08 Vincent Snijders Status assigned => resolved
2008-10-28 09:08 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2008-10-28 09:08 Vincent Snijders Resolution open => fixed
2008-10-28 09:08 Vincent Snijders Note Added: 0022977
2009-02-17 12:59 José Mejuto Status resolved => closed
2010-06-22 20:33 Felipe Monteiro de Carvalho Relationship added related to 0016771